html {
  height: 100%;
}

/* Указываем box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
  padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */
body {
  min-height: 100%;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1 1 auto;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
  list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
  text-decoration-skip-ink: auto;
}
a{
  text-decoration: none;
  color: #353A4B;
}

/* Упрощаем работу с изображениями */
img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

/* Указываем понятную периодичность в потоке данных у article*/
article > * + * {
  margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
  font: inherit;
}
.categoriespage {
  background: url('../images/background.png') no-repeat;
  background-size: cover;
  z-index: 0;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

.container {
  padding: 0 15px;
}
@media (min-width: 1650px){
    .container {
    max-width: 1620px;
    margin: 0 auto;
  }
  .slider__swarowski{
    padding-top: 170px;
  }
}

@media (max-width: 1620px) {
  .container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 15px;
  }
  .top__container {
    padding: 30px 0;
  }
}

@media(max-width: 1400px) {
  .container {
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 15px;
  }
}


@media(max-width: 1300px) {
  .container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
  }
}


@font-face {
  font-family: 'Montserrat';
  src: url('../fonts/Montserrat-Regular.ttf');
  src: local('☺'), 
  url('../fonts/Montserrat-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Montserrat';
  src: url('../fonts/Montserrat-Medium.ttf');
  src: local('☺'), 
  url('../fonts/Montserrat-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'Montserrat';
  src: url('../fonts/Montserrat-Bold.ttf');
  src: local('☺'), 
  url('../fonts/Montserrat-Bold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'Playfair Display';
  src: url('../fonts/PlayfairDisplay-Regular.eot');
  src: local('☺'), 
  url('../fonts/PlayfairDisplay-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Playfair Display';
  src: url('../fonts/PlayfairDisplay-Medium.eot');
  src: local('☺'), 
  url('../fonts/PlayfairDisplay-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'Playfair Display';
  src: url('../fonts/PlayfairDisplay-Bold.eot');
  src: local('☺'), 
  url('../fonts/PlayfairDisplay-Bold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}